Bug 828581 - Non default packaged Docky build does not include dockmanager
Non default packaged Docky build does not include dockmanager
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: docky (Show other bugs)
16
Unspecified Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Lukas Zapletal
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-04 18:29 EDT by Naipaul Ojar
Modified: 2013-02-13 11:30 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-13 11:30:20 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Naipaul Ojar 2012-06-04 18:29:44 EDT
Description of problem:
Build docky per bug/solution id=822477 and the dockmanager is not built. On F16, the downloaded separate dockmanager does not build due to a number of issues:-




Version-Release number of selected component (if applicable):
Fedora 16 & 17

How reproducible:
Follow build instructions per id=822477, where Docky v2.1.5 is working on F16 & F17, the 'dockmanager' component is not not built.

Steps to Reproduce:
1. Build Docky via instructions

2. Download the dockmanager
a. download https://launchpad.net/dockmanager v0.1.0 zip
b. ./configure fails
 
3.
  
Actual results:
The ./configure of the dockmanager fails to build :-
checking for valac... no
configure: WARNING: No Vala compiler found.  You will not be able to compile .vala source files.
checking pkg-config is at least version 0.9.0... yes
checking for DOCKMANAGER_DAEMON... no
configure: error: Package requirements (glib-2.0 >= 2.18.0 gobject-2.0 gio-2.0 desktop-agnostic >= 0.3.9 dbus-glib-1) were not met:

No package 'desktop-agnostic' found

Consider adjusting the PKG_CONFIG_PATH environment variable if you
installed software in a non-standard prefix.

Alternatively, you may set the environment variables DOCKMANAGER_DAEMON_CFLAGS
and DOCKMANAGER_DAEMON_LIBS to avoid the need to call pkg-config.
See the pkg-config man page for more details.

Expected results:
a. Successful configuration
b. make && make install

Additional info:
Comment 1 Fedora End Of Life 2013-01-16 10:08:40 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Fedora End Of Life 2013-02-13 11:30:23 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.